'use strict';

var getReplacement = require('./get-replacement');

module.exports = replace;

function replace(_ref) {
  var path = _ref.path,
      string = _ref.string,
      filename = _ref.filename;

  var replacement = getReplacement({
    string,
    filename
  });
  if (!replacement) {
    path.remove();
  } else if (Array.isArray(replacement)) {
    path.replaceWithMultiple(replacement);
  } else {
    path.replaceWith(replacement);
  }
}